xmltooling::Lock Class Reference

RAII wrapper for a mutex lock. More...

`#include <xmltooling/util/Threads.h>`

## Public Member Functions

| Lock (Mutex *mtx)
| Locks and wraps the designated mutex.
| Lock (Mutex &mtx)
| Locks and wraps the designated mutex.
| Lock (const boost::scoped_ptr< Mutex > &mtx)
| Locks and wraps the designated mutex.
| ~Lock ()
| Unlocks the wrapped mutex, if any.
Mutex * | release ()
| Releases control of the original Mutex and returns it without unlocking it.

## Detailed Description

RAII wrapper for a mutex lock.

## Constructor & Destructor Documentation

## Lock() [1/3]

xmltooling::Lock::Lock | ( | Mutex * | mtx | ) |

inline

Locks and wraps the designated mutex.

Parameters

  mtx | mutex to lock

## Lock() [2/3]

xmltooling::Lock::Lock | ( | Mutex & | mtx | ) |

inline

Locks and wraps the designated mutex.

Parameters

  mtx | mutex to lock

## Lock() [3/3]

xmltooling::Lock::Lock | ( | const boost::scoped_ptr< Mutex > & | mtx | ) |

inline

Locks and wraps the designated mutex.

Parameters

  mtx | mutex to lock

## Member Function Documentation

## release()

Mutex * xmltooling::Lock::release | ( |  | ) |

inline

Releases control of the original Mutex and returns it without unlocking it.

Returns
  the original, locked Mutex

The documentation for this class was generated from the following file:

- xmltooling/util/Threads.h